; Initialize the sprite and keyboard systems and a 640x480, 16-bit screen
If InitSprite() = 0 Or InitKeyboard() = 0 Or OpenScreen(640,480,16,"App Title") = 0
   MessageRequester("Error!", "Unable to Initialize Environment", #PB_MessageRequester_Ok)
   End
EndIf

; include our generic library
XIncludeFile "../libraries/generic.pb"

; open the file for reading
FilePtr = ReadFile(#PB_Any,"filetest.txt")

If FilePtr = 0
   MessageRequester("Error!", "Unable to Read File", #PB_MessageRequester_Ok)
   End
EndIf 

; read in our strings from the file
String1.s = ReadString(FilePtr)
String2.s = ReadString(FilePtr)

; close the file
CloseFile(FilePtr)

; show the reads
If StartDrawing(ScreenOutput()) 
  DrawText(0,0,"String1: " + String1)
  DrawText(0,16,"String2: " + String2)
  DrawText(0,400,"Press any key to exit")
Else
   MessageRequester("Error!", "Unable to Draw to ScreenOutput()", #PB_MessageRequester_Ok)
   End
EndIf

StopDrawing()

; show the output to the users
FlipBuffers()

; wait for a keypress
WaitKey ()

; end the program
End

; IDE Options = PureBasic 4.61 (Windows - x64)
; CursorPosition = 22