; Initialize the sprite and keyboard systems and a 640x480, 16-bit screen
If InitSprite() = 0 Or InitKeyboard() = 0 Or OpenScreen(640,480,16,"Input Test") = 0
   MessageRequester("Error!", "Unable to Initialize Environment", #PB_MessageRequester_Ok)
   End
 EndIf
 
ClearColor = RGB(0,0,0)

ClearScreen(ClearColor)  ; clear the output buffer to black

TextY = 0         ; initialize our Y position to 0

; Display text to the screen asking the user for input
StartDrawing(ScreenOutput())

     ; Use a FOR...NEXT loop to put up our text 10 times
     For Rows.b = 0 To 9

         ; Write out the text
         DrawText(0,TextY,"PureBasic")

         ; update the next Y position to draw to
         TextY = TextY + 16
     Next
     
     ; put a little message on the screen for the user
     DrawText(0,400,"Press any key to exit.")
StopDrawing()

FlipBuffers()    ; flip the buffers to show the user the request

; wait for any key to be pressed
Repeat 
   ExamineKeyboard()
Until KeyboardReleased(#PB_Key_All)

End   ; end the program


; IDE Options = PureBasic 4.61 (Windows - x64)
; CursorPosition = 22