; Initialize the sprite and keyboard systems and a 640x480, 16-bit screen
If InitSprite() = 0 Or InitKeyboard() = 0 Or OpenScreen(640,480,16,"Array Test") = 0
   MessageRequester("Error!", "Unable to Initialize Environment", #PB_MessageRequester_Ok)
   End
EndIf

; Dimension our NameArray
Dim NameArray.s(3,3)

; Go to the front of the data lines for the NameData
Restore NameData

; loop through the data and READ to the array 
For NameType = 0 To 3
    For Names = 0 To 3
        Read.s NameArray(NameType,Names)
    Next
Next

; Set up the vertical control variable
 TextY = 0

 StartDrawing(ScreenOutput())
      ; Loop through the array we READ and print it out
      For NameType = 0 To 3
          For Names = 0 To 3
              DrawText(0,TextY,NameArray(NameType,Names))
              TextY = TextY + 16
          Next
      Next

     ; display a message so the user knows how to exit     
     DrawText(0,400,"Press any key to exit")
 StopDrawing()

FlipBuffers()  ; show the output to the user

; wait for any key to be pressed
Repeat 
   ExamineKeyboard()
Until KeyboardReleased(#PB_Key_All)

End  ; end the program

; Here is our data area
DataSection 
    NameData:
        Data.s "John","Joe","Mark","George"
        Data.s "Sally","Betty","Lorelei","Anne"
        Data.s "Fido","Spot","Killer","Tank"
        Data.s "Millennium Hawk","Tea Fighter","Zap-Wing","Dead Star"
EndDataSection
; IDE Options = PureBasic 4.61 (Windows - x64)
; CursorPosition = 27